Преимущества библиотеки поддержки

54
7

Преимуществами библиотек поддержки является то, что я могу запустить более позднюю выпущенную функцию типа Material Design на старой версии Android.

Итак, почему невозможно изменить comileSdk, например, 22 и библиотеки поддержки, в самую новую версию?

Мой файл Gradle:

apply plugin: 'com.android.application'

android {
compileSdkVersion 22
buildToolsVersion '23.0.1'
defaultConfig {
applicationId "com.stack.overflow"
minSdkVersion 22
targetSdkVersion 22
versionCode 1
versionName "1.0"
multiDexEnabled true
}
buildTypes {
release {
minifyEnabled false
proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
}
}
sourceSets {
main { res.srcDirs = ['src/main/res', 'src/main/res/drawable/ic_action_search.png'] }
}
productFlavors {
}
}

dependencies {
compile fileTree(include: ['*.jar'], dir: 'libs')

//Google Libraries
compile 'com.android.support:appcompat-v7:23.0.+'
compile 'com.android.support:recyclerview-v7:23.0.+'
compile 'com.android.support:cardview-v7:23.0.+'

}

Студия Android всегда отмечает красные библиотеки google и не компилируется.

Итак, почему невозможно использовать последние библиотеки поддержки с предыдущим sdk?

спросил(а) 2015-10-08T16:13:00+03:00 4 года, 7 месяцев назад
1
Решение
64

Обновите свою targetSdkVersion 23

в заключение

android {
compileSdkVersion 23
buildToolsVersion "23.0.0" or '23.0.1'

defaultConfig {
applicationId "com.stack.overflow"
minSdkVersion 17 // Set Your Version
targetSdkVersion 23
versionCode 1
versionName "1.0"
}

И вы можете установить

compile 'com.android.support:appcompat-v7:23.0.0'

ответил(а) 2015-10-08T16:25:00+03:00 4 года, 7 месяцев назад
Ваш ответ
Введите минимум 50 символов
Чтобы , пожалуйста,
Выберите тему жалобы:

Другая проблема